Skip to content

deployment_environment_update

Update an environment (name is the only updatable field)

Tool

deployment_environment_update

Update an environment (name is the only updatable field)

Update an environment (name is the only updatable field)

Behavior

HTTP
PATCH /deployment/environments/:id

Arguments

Name
Type
Required
Description
id
string
•
No description in the catalog.
name
string
—
No description in the catalog.

Response

Field
Type
Always
Description
id
string
•
name
string
•
slug
string
•
type
string
•
status
string
•
prBranch
string
•
prNumber
integer
•
createdAt
string
•
expiresAt
string
•
updatedAt
string
•
isProduction
boolean
•
repoFullName
string
•
lastErrorMessage
string
•
baseEnvironmentId
string
•

Try it

Update an environment (name is the only updatable field).

When to use

Update an environment (name is the only updatable field)

Example

Ask your agent something like this:

Update an environment (name is the only updatable field).

The agent will invoke deployment_environment_update with these arguments:

{
  "id": "<id>"
}

Esc

Start typing to search the docs.

↑↓navigate↵select